Bug 1478608 - RFE: rakudo-0.2017.07
RFE: rakudo-0.2017.07
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rakudo (Show other bugs)
26
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gerd Pokorra
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 22:18 EDT by Todd
Modified: 2017-09-09 19:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: rakudo-0.2017.08-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-09 19:49:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd 2017-08-04 22:18:12 EDT
Request for Enhancement (RFE):

Would you please consider upgrading Rakudo to 2017.07?

EPEL already has, so you may be able to use their stuff:

$ cat /etc/redhat-release
Scientific Linux release 7.3 (Nitrogen)

$ rpm -qa rakudo\*
rakudo-0.2017.07-2.el7.x86_64
Comment 1 Gerd Pokorra 2017-08-05 06:38:05 EDT
I am sorry. The plan is to wait for the rakudo release of this month.

The release announcement is:
The next release of Rakudo (#114), is tentatively scheduled for 2017-08-19.


$ bodhi updates query --packages=rakudo | grep el7
nqp-0.0.2017.07-1.el7                 rpm    enhancement  testing   2017-08-02
 rakudo-0.2017.07-2.el7
moarvm-0.2017.04-1.el7                rpm    enhancement  stable    2017-05-14
 nqp-0.0.2017.04-1.el7
 rakudo-0.2017.04.2-1.el7
moarvm-0.2017.02-1.el7                rpm    enhancement  stable    2017-03-30
 nqp-0.0.2017.02-1.el7
 rakudo-0.2017.02-1.el7
[gz016@vgerd2 ~]$

Rakudo 2017.07 is currently first in the epel7 testing repository.

It take me about a half day of my leisure to build the stack (moarvm, nqp and rakudo) for at least two Fedora branches (master, f26). So please have patience to wait for the update to 2017.08.

Rakudo 2017.06 and rakudo 2017.07 both implements the production standard Perl v6.c.
Comment 2 Fedora Update System 2017-09-01 07:52:59 EDT
moarvm-0.2017.08.1-1.fc26, nqp-0.0.2017.08-1.fc26, rakudo-0.2017.08-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e04095858
Comment 3 Fedora Update System 2017-09-09 19:49:46 EDT
moarvm-0.2017.08.1-1.fc26, nqp-0.0.2017.08-1.fc26, rakudo-0.2017.08-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.